::CLASS DatabaseHandler PUBLIC
::METHOD conn ATTRIBUTE
::METHOD DB_URL ATTRIBUTE
::METHOD DriverManager ATTRIBUTE
::METHOD init
  EXPOSE DriverManager
  DriverManager = bsf.import("java.sql.DriverManager")
------------------------------------------------------------------------------------------------------------------------
::METHOD initSettings PUBLIC
  EXPOSE  DB_URL
    DB_URL = "jdbc:sqlite:C:/users/manue/Dropbox/WU/Hauptstudium/SBWL BIS/Kurs 5 (Seminar)/Nutshell/Nutshell-DB.db"
    say "initSettings"
------------------------------------------------------------------------------------------------------------------------
::METHOD connect PUBLIC
  EXPOSE DriverManager DB_URL conn
  SIGNAL ON SYNTAX NAME connectionError
  conn = DriverManager~getConnection(DB_URL)
  SIGNAL OFF SYNTAX
  say "Connect-Method True"
  say DB_URL
  RETURN .true
------------------------------------------------------------------------------------------------------------------------
::METHOD selectUserName PUBLIC
  EXPOSE conn
  USE ARG ID
  query = "SELECT name FROM Person WHERE ID = ?"
  prepStatement = conn~prepareStatement(query)
  prepStatement~setString(1, ID)
  queryResults = prepStatement~executeQuery
  IF queryResults~next THEN DO
      name = queryResults~getString("name")
   END
   ELSE
   name = "This ID does not exist here!"
   return name
------------------------------------------------------------------------------------------------------------------------
::METHOD insertUserName PUBLIC
  EXPOSE conn
  USE ARG name
  query = "INSERT INTO Person (name) VALUES (?)"
  prepStatement = conn~prepareStatement(query)
  prepStatement~setString(1, name)
  prepStatement~execute
------------------------------------------------------------------------------------------------------------------------
::METHOD updateUserNameByID PUBLIC
  EXPOSE conn
  USE ARG name, id
  query = "UPDATE Person SET name = ? Where ID = ?"
  prepStatement = conn~prepareStatement(query)
  prepStatement~setString(1, name)
  prepStatement~setString(2, id)
  prepStatement~execute
------------------------------------------------------------------------------------------------------------------------
::METHOD getlistAllUser PUBLIC
  EXPOSE conn
  query = "SELECT * FROM Person"
  prepStatement = conn~createStatement
  queryResults = prepStatement~executeQuery(query)
  index = 1;

    DO WHILE queryResults~next
      id = queryResults~getString("ID")
      name = queryResults~getString("Name")
      nameList.index = name;
      idList.index = id;
      say pp(idList.index nameList.index);
      index = index + 1
    END

------------------------------------------------------------------------------------------------------------------------
::REQUIRES "BSF.CLS"


