PARSE SOURCE . . fullPath
CALL directory filespec('L', fullPath)

.environment~setEntry("my.app", .directory~new)
.my.app~homeDir = filespec('Location',fullPath)
stageHandler = .StageHandler~new
.my.app~stageHandler = stageHandler

stageHandlerProxy = BsfCreateRexxProxy(stageHandler,,"javafx.application.Application")
stageHandlerProxy~launch(stageHandlerProxy~getClass, .nil)
EXIT 0

::CLASS StageHandler
::METHOD stage ATTRIBUTE
::METHOD scene ATTRIBUTE
::METHOD windowStage ATTRIBUTE
::METHOD FXMLLoader
::METHOD init
  EXPOSE FXMLLoader
  FXMLLoader = bsf.import("javafx.fxml.FXMLLoader")

::METHOD start
  EXPOSE stage scene FXMLLoader
  USE ARG stage
  stage~setTitle("Starting Window")
  url=.bsf~new("java.net.URL", "file:normal_vs_jfoenix.fxml")
  fxml = FXMLLoader~load(url)
  scene = .bsf~new("javafx.scene.Scene", fxml)
  stage~setScene(scene)
  stage~show

::REQUIRES "BSF.CLS"

